﻿
using System.Windows.Documents;

namespace SecsTranslatorEditor.SecsLanguage.Formatters
{
	/// <summary>
	/// Provides an interface for formatters that can be used for specifying the outer look 
	/// of the secs language syntax elements.
	/// </summary>
	internal interface ISecsLanguageElementFormatter
	{
		/// <summary>
		/// Formats the provided Inline element.
		/// </summary>
		/// <param name="inline">The element that should be formatted.</param>
		/// <returns>The formatted Inline element.</returns>
		Inline Format(Inline inline);
	}
}
